# Account partner required

This module adds an option Partner policy on account types.

You have the choice between 3 policies:

- optional (the default policy): partner is optional,
- always: require a partner,
- never: forbid a partner.

This module is useful to enforce a partner on account move lines on customer and supplier accounts.

This module is very similar to the module account_analytic_required available in the OCA project account-analytic.

Table of contents

- Configuration
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Configuration

To configure this module, you need to:

1. Go to the menu Invoicing > Configuration > Accounting > Account Types and edit each account types to configure the correct Partner policy.

# Usage

If you put a partner on an account move line with an account whose type is configured with Partner policy = never, you will get an error message.

If you don’t put a partner on an account move line with an account whose type is configured with Partner policy = always, you will get an error message.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ACSONE SA/NV
- Akretion

## Contributors

- Stéphane Bidoul <stephane.bidoul@acsone.eu>
- Alexis de Lattre <alexis.delattre@akretion.com>
- Raf Ven <raf.ven@dynapps.be>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/account-financial-tools project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.